Need a content viewing / rendering service
2013-08-07 17:04 - Dave Vieglais

Status: Closed Start date: 2013-08-14
Priority: Normal Due date:

Assignee: Dave Vieglais % Done: 100%
Category: Estimated time: 0.00 hour
Target version: CCl-2.0.0

Story Points:

Description

Various systems (e.g. Elsevier) would like to be able to link with content available in DataONE and provide their users with a view of
the content. Rather than having these 3rd party systems grok the DataONE APIs and construct systems to retrieve elements of a
package, it would be helpful if DataONE provided a rendering service.

Given a PID, the service would determine the package(s) that the content belongs to, and would generate HTMLS5 that provides a
description of the data package, where the content can be retrieved, which member node provided the object, references to other
elements in the package, perhaps revisions to the content, and other details useful to a potential user of the data.

The generated HTML may be embedded within other pages such as within a div element, and so consideration for such support
should be made (e.g., support complete page generation vs fragment generation; generate well formed HTML that can be processed
with XML parsing / xpath operations).

Subtasks:

Task # 3918: Design initial version of rendering service Closed
Task # 4684: Add proposed MNRead view service to the Architecture Docs Closed
Task # 4685: Add proposed CNRead view service to the Architecture Docs Closed
Task # 4686: Add proposed MNRead packaging service to the Architecture Docs Closed
Task # 5323: Update architecture documentation to include new v1.2 d1_schemas types Closed
History

#1 - 2013-08-14 01:30 - Dave Vieglais

- Assignee changed from Chris Jones to Ben Leinfelder

#2 - 2013-08-14 14:29 - Dave Vieglais

- Start date set to 2013-08-11

- Due date set to 2013-08-24

- Target version set to 2013.33-Block.4.4

#3 - 2014-01-06 17:48 - Dave Vieglais
- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1
- Due date changed from 2013-08-24 to 2014-01-18

#4 - 2014-03-14 17:16 - Chris Jones

- Assignee changed from Ben Leinfelder to Dave Vieglais

- Due date changed from 2014-01-18 to 2014-04-12

- Target version changed from 2014.2-Block.1.1 to 2014.14-Block.2.3

#5 - 2014-04-11 16:40 - Matthew Jones

Some notes from conference call here:

http://epad.dataone.org/2014-04-09-view-service
http://epad.dataone.org/2014-04-09-view-service

#6 - 2014-09-24 18:27 - Dave Vieglais
- Target version changed from 2014.14-Block.2.3 to CCI-2.0.0
- Due date changed from 2014-04-12 to 2014-09-24

#7 - 2015-01-06 19:36 - Dave Vieglais
- Due date changed from 2014-09-24 to 2015-01-06

#8 - 2015-10-16 13:22 - Dave Vieglais
- % Done changed from 0 to 100

- Status changed from New to Closed
